Main Page Class Hierarchy Compound List File List Compound Members File Members

# TLogger Class Reference

`#include <logger.h>`

List of all members.

## Static Public Member Functions
void | TruncateOnOpen (bool p_newstate=true)
int | Logit (WORM_LOG_FLAGS p_flags, const char *p_format,...)
void | Close ()
## Static Protected Member Functions
WORM_STATUS_CODE | OpenFile ()
## Static Protected Attributes
TMutex * | AccessLock = NULL
std::fstream | OutStream
char | PreviousDate [WORM_TIMESTR_LENGTH+1] = { "" }
bool | TruncOnOpen = false
int | MaxTooLongLength = 0

## Member Function Documentation

void TLogger::Close | ( |  | ) | `[static]`

| Definition at line 130 of file logger.cpp. References AccessLock, and OutStream. Referenced by CMFCDialogAppBase::InitInstance(), and main().

int TLogger::Logit | ( | WORM_LOG_FLAGS | p_flags,
|  | const char * | p_format,
|  | ... |
| ) | `[static]`

| Definition at line 143 of file logger.cpp. References AccessLock, TTimeFuncs::DateString(), OpenFile(), OutStream, TMutex::ReleaseLock(), TMutex::RequestLock(), WORM_LOG_NAMESTAMP, WORM_LOG_PIDSTAMP, WORM_LOG_TIMESTAMP, WORM_LOG_TOFILE, WORM_LOG_TOSTDERR, WORM_LOG_TOSTDOUT, WORM_STAT_SUCCESS, and TGlobalUtils::WriteLogFile(). Referenced by WormServerBase::CheckConfig(), ServerTemplate::CheckConfig(), RingReaderServer::CheckConfig(), MutableServerBase::CheckConfig(), TModuleBase::CheckConfig(), CMFCDialogModuleBase::CheckConfig(), TGlobalUtils::CheckConfig(), DBMutableServer::CheckConfig(), MutableServerBase::ClientServicer(), DBMutableServer::GetDefaultsFromDB(), ServerTemplate::GetRequestContainer(), ServerTemplate::GetRequestFromInput(), ServerTemplate::GetResultContainer(), WormServerBase::HandleConfigLine(), ServerTemplate::HandleConfigLine(), RingReaderServer::HandleConfigLine(), MutableServerBase::HandleConfigLine(), TModuleBase::HandleConfigLine(), CMFCDialogModuleBase::HandleConfigLine(), TGlobalUtils::HandleConfigLine(), DBMutableServer::HandleConfigLine(), MutableServerBase::Handler(), ServerTemplate::HandleResult(), CMFCDialogModuleBase::InitApp(), DBMutableServer::InitializeDB(), CMFCDialogAppBase::InitInstance(), WormServerBase::Listener(), WormServerBase::ListenForMsg(), TGlobalUtils::LoadFiles(), TGlobalUtils::LookupInstallationId(), TGlobalUtils::LookupMessageTypeId(), TGlobalUtils::LookupModuleId(), TGlobalUtils::LookupRingKey(), main(), OpenFile(), CMFCDialogAppBase::ParseCommandFile(), TGlobalUtils::ParseLookupLine(), CMFCDialogModuleBase::PrepApp(), ServerTemplate::PrepareToRun(), RingReaderServer::PrepareToRun(), DBMutableServer::PrepareToRun(), ServerTemplate::ProcessRequest(), WormServerBase::Run(), MutableServerBase::Run(), TModuleBase::Run(), WormServerBase::SendMessage(), WormServerBase::SendStatus(), TModuleBase::SendStatus(), CMFCDialogModuleBase::SendStatus(), MutableServerBase::Stacker(), CMFCDialogModuleBase::StatusAndReadLoop(), TGlobalUtils::TGlobalUtils(), TModuleBase::TModuleBase(), MutableServerBase::TransmitRequest(), MutableServerBase::TransmitResult(), WormServerBase::WormServerBase(), and MutableServerBase::~MutableServerBase().

WORM_STATUS_CODE TLogger::OpenFile | ( |  | ) | `[static, protected]`

| Definition at line 22 of file logger.cpp. References TTimeFuncs::DateString(), TGlobalUtils::GetEnvironmentValue(), Logit(), OutStream, WORM_STAT_FAILURE, WORM_STAT_SUCCESS, WORM_STATUS_CODE, WORM_TIME_ZONE, and WORM_TIMESTR_LENGTH. Referenced by Logit().

void TLogger::TruncateOnOpen | ( | bool | p_newstate = true | ) | `[inline, static]`

| Definition at line 34 of file logger.h. Referenced by TGlobalUtils::HandleConfigLine(), CMFCDialogAppBase::InitInstance(), and main().

## Member Data Documentation

TMutex * TLogger::AccessLock = NULL`[static, protected]`

| Definition at line 15 of file logger.cpp. Referenced by Close(), and Logit().

int TLogger::MaxTooLongLength = 0`[static, protected]`

| Definition at line 19 of file logger.cpp.

std::fstream TLogger::OutStream`[static, protected]`

| Definition at line 16 of file logger.cpp. Referenced by Close(), Logit(), and OpenFile().

char TLogger::PreviousDate = { "" }`[static, protected]`

| Definition at line 17 of file logger.cpp.

bool TLogger::TruncOnOpen = false`[static, protected]`

| Definition at line 18 of file logger.cpp.

The documentation for this class was generated from the following files:

- logger.h
- logger.cpp